Subject: Re: [secdir] Secdir review of draft-ietf-v6ops-ipv6-roaming-analysis-05

From: Jouni Korhonen <[email-masked]>
Date: Thu, 02 Oct 2014 10:15:31 +0300

JOe,

Thank you for the review. See quick responses inline.

9/30/2014 7:37 AM, Joseph Salowey (jsalowey) kirjoitti:
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the
> IESG.  These comments were written primarily for the benefit of the
> security area directors.  Document editors and WG chairs should treat
> these comments just like any other last call comments.
>
> In summary I believe the document is ready.  It does make reference to security considerations IPV6-3GPP RFC 6459 which is appropriate. I have a few observations below.
>
>
> 1) There is a brief discussion of home routed an local breakout modes which determine
> how the user's traffic is routed.  This could potentially have privacy implications,
> however I do not think this is the subject of the document so I don't think additional
> privacy considerations are needed.  The one exception may be if an attacker can force
> the selection of one of these options.  This did not appear to be the case from the
> document, but I did not follow all the 3GPP specifics.

The end user does not really have a power to affect the selection of 
gateways the networks does. There might be limitted power for the 
subscriber if he/she is able to select between APNs but then again to 
which gateway (home or visited) the APN resolves to is entirely up to 
the network to decide.

> 2) Some of the failure modes  consume more network resources.  If these modes can be
> externally manipulated then it may be possible for a denial of service attack.  This
> did not appear to be the case from the document, but I did not follow all the 3GPP
> specifics.

It is a common failure case that a mistypes APNs and etc configurations 
bombard the network - and these would more or less equal the attack that 
the above refers to from the network point of view. Modern gateways are 
well protected against stuff like this by offering sensible default if 
the mobile device starts sending garbage. These are mainly 
implementation details and not typically covered in specs.

Another thing is mobile device implementations intentionally breaking 
specs to achieve some shortcut or power saving etc (the network has to 
survive those anyway). All these glorified highend mobiles are (or were) 
doing these in the expense of the network.. obviously networks have now 
been designed to take the hit.

- Jouni

> Cheers,
> Joe